# XMPP::Stanza Class Reference

XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol. More...

`#include <xmpp.h>`

Inheritance diagram for XMPP::Stanza:

List of all members.

## Public Member Functions

virtual PBoolean | IsValid () const =0
virtual PString | GetID () const
virtual PString | GetFrom () const
virtual PString | GetTo () const
virtual void | SetID (const PString &id)
virtual void | SetFrom (const PString &from)
virtual void | SetTo (const PString &to)
virtual PXMLElement * | GetElement (const PString &name, PINDEX i=0)
virtual void | AddElement (PXMLElement *elem)

## Static Public Member Functions

static const PCaselessString & | IDTag ()
| Various constant strings.
static const PCaselessString & | FromTag ()
static const PCaselessString & | ToTag ()
static PString | GenerateID ()

## Detailed Description

XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol.

## Member Function Documentation

virtual void XMPP::Stanza::AddElement | ( | PXMLElement * | elem | ) | `[virtual]`

static const PCaselessString& XMPP::Stanza::FromTag | ( |  | ) | `[static]`

static PString XMPP::Stanza::GenerateID | ( |  | ) | `[static]`

virtual PXMLElement* XMPP::Stanza::GetElement | ( | const PString & | name,
|  | PINDEX | i = `0` |
| ) |  |  | `[virtual]`

virtual PString XMPP::Stanza::GetFrom | ( |  | ) | const`[virtual]`

virtual PString XMPP::Stanza::GetID | ( |  | ) | const`[virtual]`

virtual PString XMPP::Stanza::GetTo | ( |  | ) | const`[virtual]`

static const PCaselessString& XMPP::Stanza::IDTag | ( |  | ) | `[static]`

Various constant strings.

virtual PBoolean XMPP::Stanza::IsValid | ( |  | ) | const`[pure virtual]`

Implemented in XMPP::Message, XMPP::Presence, and XMPP::IQ.

virtual void XMPP::Stanza::SetFrom | ( | const PString & | from | ) | `[virtual]`

virtual void XMPP::Stanza::SetID | ( | const PString & | id | ) | `[virtual]`

virtual void XMPP::Stanza::SetTo | ( | const PString & | to | ) | `[virtual]`

static const PCaselessString& XMPP::Stanza::ToTag | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- xmpp.h